it-swarm.com.de

So installieren Sie die SQLite PDO-Erweiterung unter Ubuntu

Das Ubuntu PHP-Standardpaket enthält keine PDO-SQLite-Erweiterung. Wie kann ich die SQLite PDO-Erweiterung installieren? Gibt es ein Paket, das man einfach über apt-get installieren kann?

18
wowpatrick

mach einfach:

Sudo apt-get install php5-sqlite

Das nächste Mal finden Sie es über:

apt-cache search php | grep sqlite
27
Michał Šrajer

In Ubuntu 16.04 gibt es keinen php5-sqlite. Du brauchst:

Sudo apt-get install php7.0-sqlite
Sudo service Apache2 restart

php5-sqlite - SQLite-Modul für php5 php-mdb2-driver-sqlite - PHPPEAR Modul zur Bereitstellung eines SQLite-Treibers für MDB2

4
sac

Nur zur Verdeutlichung habe ich mich kürzlich mit diesem Thema befasst, denn php7.2 musste ich ausführen

Sudo apt-get install php-sqlite3

welches sqlite-3 installiert hat es gab kein Paket mit dem Namen php-sqlite

2
Shobi